Documentation

Safe Voice Client API


Safe Voice Client API


Safe Voice Client API

Overview

The Safe Voice Client API allows you to perform various game client operations relating to Safe Voice.
This includes the player consent api, which lets the game client to update the consent status for a player. The consent status is used to determine if the player's audio can be recorded and processed for content moderation.
For more information, please refer to our Documentation.
Download OpenAPI specification:

Update the player consent status


Update the player consent status in the Safe Voice for consent tracking
Authorizations
Client
HTTP: Client
HTTP Authorization Scheme: bearer

Path parameters for "Update the player consent status"

projectId

string
required
ID of the project

environmentId

string
required
ID of the environment

playerId

string
required
ID of the user

Request body for "Update the player consent status"

Media Type:
application/json

consents

array[object]
required
No description

granted

boolean
required
No description

name

string
required
No description

HTTP response status codes for "Update the player consent status":

Code samples for "Update the player consent status":

Request example

curl -X PUT \ -H "Authorization: Bearer <YOUR_TOKEN>" \ -H "Content-Type: application/json" \ -d '{ "consents": [ { "name": "vivox.safevoice_moderation", "granted": true } ]}' \ "https://vivox.services.api.unity.com/v1/projects/{projectId}/environments/{environmentId}/players/{playerId}/consents"

Response example

{ "consents": [ { "name": "vivox.safevoice_moderation", "granted": true } ]}

Get the player consent status


Get the player consent status in the Safe Voice for consent tracking
Authorizations
Client
HTTP: Client
HTTP Authorization Scheme: bearer

Path parameters for "Get the player consent status"

projectId

string
required
ID of the project

environmentId

string
required
ID of the environment

playerId

string
required
ID of the user

HTTP response status codes for "Get the player consent status":

Code samples for "Get the player consent status":

Request example

curl -X GET \ -H "Authorization: Bearer <YOUR_TOKEN>" \ "https://vivox.services.api.unity.com/v1/projects/{projectId}/environments/{environmentId}/players/{playerId}/consents"

Response example

{ "consents": [ { "name": "vivox.safevoice_moderation", "granted": true } ]}